# Update User
source: https://developer.mastercard.com/priceless-planet-carbon-tracker/documentation/use-cases/update_user/index.md

## Overview {#overview}

The `PUT /issuers/users/{userid}` endpoint updates enrolled user information in the CCE platform.

This endpoint allows you to modify details such as the email address, address, and phone number, ensuring that the contact information of the users is always up to date.

For example, if you have already filled out the user's personal information such as name, billing address, and locale and want to update the `postal code` under the `billingAddress` field, use the `PUT /issuers/users/{userid}` endpoint to provide the `name` and the `billingAddress` with the new `postalCode` value and `locale`.

## Pre-requisites {#pre-requisites}

To access this service, the issuer is required to fulfill these conditions:

* Read and understand the [Payload Encryption](https://developer.mastercard.com/platform/documentation/security-and-authentication/securing-sensitive-data-using-payload-encryption/) guide for secure data communication with the API.
* Refer to the [Mastercard Encryption](https://developer.mastercard.com/platform/documentation/security-and-authentication/securing-sensitive-data-using-payload-encryption/#mastercard-encryption) topic to know how to encrypt and decrypt the Carbon Calculator Experience API payloads.

Tip: To create your project on Mastercard Developers, refer to the [Quick Start Guide](https://developer.mastercard.com/priceless-planet-carbon-tracker/documentation/quick-start-guide/index.md) for more information.

## Sequence Diagram {#sequence-diagram}

The following sequence diagram shows the order of events for a solution that uses the ` PUT /issuers/users/{userid}` endpoint.
Diagram update_user

## Execution Steps {#execution-steps}

The following details the steps in the above sequence diagram:

1. The consumer sends the request for updating enrolled user information on the Carbon Calculator Experience platform.
2. The issuer app sends the request to update the user details to the issuer server.
3. The issuer server sends request to update the user details to the ` PUT/issuers/users/{userid}` endpoint.
4. The Carbon Calculator Experience application validates the request.
5. The application updates the provided user information and persists the newly updated user data.
6. The application returns the user ID along with other user information to the issuer server.
7. The issuer server stores the user ID and sends it back to the issuer app if required.
8. (Optional) The issuer app displays the updated user ID along with the card ID and status to the consumer.

## Error Messages {#error-messages}

You receive an error response for an invalid request or any missing request parameter.
Note: For more information about the error codes, refer to the [Code and Formats](https://developer.mastercard.com/priceless-planet-carbon-tracker/documentation/code-and-formats/index.md) section.

## Endpoint {#endpoint}


API Reference: `GET /issuers/users/{userid}`

## Sample request and response {#sample-request-and-response}

For more details on the sample request and response, refer to the [How to call the Update User API](https://developer.mastercard.com/priceless-planet-carbon-tracker/tutorial/test-cases/step2/index.md) tutorial.
